<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFHyperlink (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFHyperlink (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":42,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFHyperlink.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFHeaderFooterProperties.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFIconMultiStateFormatting.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFHyperlink.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFHyperlink.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFHyperlink" class="title">Class XSSFHyperlink</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xssf.usermodel.XSSFHyperlink</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                           title="interface in org.apache.poi.common.usermodel">Hyperlink</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFHyperlink</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/Hyperlink.html"
              title="interface in org.apache.poi.ss.usermodel">Hyperlink</a></pre>
                <div class="block">XSSF Implementation of a Hyperlink.
                    Note - unlike with HSSF, many kinds of hyperlink
                    are largely stored as relations of the sheet
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#XSSFHyperlink-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHyperlink-org.apache.poi.openxml4j.opc.PackageRelationship-">XSSFHyperlink</a></span>(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHyperlink&nbsp;ctHyperlink,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                                       title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a>&nbsp;hyperlinkRel)</code>
                                    <div class="block">Create a XSSFHyperlink and initialize it from the supplied
                                        CTHyperlink bean and package relationship
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#XSSFHyperlink-org.apache.poi.ss.usermodel.Hyperlink-">XSSFHyperlink</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Hyperlink.html"
                                        title="interface in org.apache.poi.ss.usermodel">Hyperlink</a>&nbsp;other)</code>
                                    <div class="block">Create a new XSSFHyperlink.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#XSSFHyperlink-org.apache.poi.common.usermodel.HyperlinkType-">XSSFHyperlink</a></span>(<a
                                        href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html"
                                        title="enum in org.apache.poi.common.usermodel">HyperlinkType</a>&nbsp;type)</code>
                                    <div class="block">Create a new XSSFHyperlink.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#generateRelationIfNeeded-org.apache.poi.openxml4j.opc.PackagePart-">generateRelationIfNeeded</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;sheetPart)</code>
                                    <div class="block">Generates the relation if required</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#getAddress--">getAddress</a></span>()</code>
                                    <div class="block">Hyperlink address.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#getCellRef--">getCellRef</a></span>()</code>
                                    <div class="block">Get the reference of the cell this applies to,
                                        es A55
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHyperlink</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#getCTHyperlink--">getCTHyperlink</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#getFirstColumn--">getFirstColumn</a></span>()</code>
                                    <div class="block">Return the column of the first cell that contains the hyperlink
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#getFirstRow--">getFirstRow</a></span>()</code>
                                    <div class="block">Return the row of the first cell that contains the hyperlink
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#getLabel--">getLabel</a></span>()</code>
                                    <div class="block">Return text label for this hyperlink</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#getLastColumn--">getLastColumn</a></span>()</code>
                                    <div class="block">Return the column of the last cell that contains the hyperlink
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#getLastRow--">getLastRow</a></span>()</code>
                                    <div class="block">Return the row of the last cell that contains the hyperlink</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#getLocation--">getLocation</a></span>()</code>
                                    <div class="block">Location within target.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#getTooltip--">getTooltip</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html"
                                        title="enum in org.apache.poi.common.usermodel">HyperlinkType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#getType--">getType</a></span>()</code>
                                    <div class="block">Return the type of this hyperlink</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html"
                                        title="enum in org.apache.poi.common.usermodel">HyperlinkType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#getTypeEnum--">getTypeEnum</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use <code>getType</code> instead</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#needsRelationToo--">needsRelationToo</a></span>()</code>
                                    <div class="block">Do we need to a relation too, to represent
                                        this hyperlink?
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#setAddress-java.lang.String-">setAddress</a></span>(java.lang.String&nbsp;address)</code>
                                    <div class="block">Hyperlink address.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#setCellReference-org.apache.poi.ss.util.CellReference-">setCellReference</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;ref)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#setCellReference-java.lang.String-">setCellReference</a></span>(java.lang.String&nbsp;ref)</code>
                                    <div class="block">Assigns this hyperlink to the given cell reference</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#setFirstColumn-int-">setFirstColumn</a></span>(int&nbsp;col)</code>
                                    <div class="block">Set the column of the first cell that contains the hyperlink
                                    </div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#setFirstRow-int-">setFirstRow</a></span>(int&nbsp;row)</code>
                                    <div class="block">Set the row of the first cell that contains the hyperlink</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#setLabel-java.lang.String-">setLabel</a></span>(java.lang.String&nbsp;label)</code>
                                    <div class="block">Sets text label for this hyperlink</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#setLastColumn-int-">setLastColumn</a></span>(int&nbsp;col)</code>
                                    <div class="block">Set the column of the last cell that contains the hyperlink.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#setLastRow-int-">setLastRow</a></span>(int&nbsp;row)</code>
                                    <div class="block">Set the row of the last cell that contains the hyperlink.</div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#setLocation-java.lang.String-">setLocation</a></span>(java.lang.String&nbsp;location)</code>
                                    <div class="block">Location within target.</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html#setTooltip-java.lang.String-">setTooltip</a></span>(java.lang.String&nbsp;text)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFHyperlink-org.apache.poi.common.usermodel.HyperlinkType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFHyperlink</h4>
                                <pre>protected&nbsp;XSSFHyperlink(<a
                                        href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html"
                                        title="enum in org.apache.poi.common.usermodel">HyperlinkType</a>&nbsp;type)</pre>
                                <div class="block">Create a new XSSFHyperlink. This method is protected to be used only
                                    by
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFCreationHelper.html#createHyperlink-org.apache.poi.common.usermodel.HyperlinkType-"><code>XSSFCreationHelper.createHyperlink(HyperlinkType)</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>type</code> - - the type of hyperlink to create</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="XSSFHyperlink-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHyperlink-org.apache.poi.openxml4j.opc.PackageRelationship-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFHyperlink</h4>
                                <pre>protected&nbsp;XSSFHyperlink(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHyperlink&nbsp;ctHyperlink,
                        <a href="../../../../../org/apache/poi/openxml4j/opc/PackageRelationship.html"
                           title="class in org.apache.poi.openxml4j.opc">PackageRelationship</a>&nbsp;hyperlinkRel)</pre>
                                <div class="block">Create a XSSFHyperlink and initialize it from the supplied
                                    CTHyperlink bean and package relationship
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ctHyperlink</code> - the xml bean containing xml properties</dd>
                                    <dd><code>hyperlinkRel</code> - the relationship in the underlying OPC package which
                                        stores the actual link's address
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="XSSFHyperlink-org.apache.poi.ss.usermodel.Hyperlink-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFHyperlink</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;XSSFHyperlink(<a href="../../../../../org/apache/poi/ss/usermodel/Hyperlink.html"
                             title="interface in org.apache.poi.ss.usermodel">Hyperlink</a>&nbsp;other)</pre>
                                <div class="block">Create a new XSSFHyperlink. This method is for Internal use only.
                                    XSSFHyperlinks can be created by <a
                                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFCreationHelper.html"
                                            title="class in org.apache.poi.xssf.usermodel"><code>XSSFCreationHelper</code></a>.
                                    See the <a href="https://poi.apache.org/spreadsheet/quick-guide.html#Hyperlinks">spreadsheet
                                        quick-guide</a>
                                    for an example.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>other</code> - the hyperlink to copy</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getCTHyperlink--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTHyperlink</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHyperlink&nbsp;getCTHyperlink()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the underlying CTHyperlink object</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="needsRelationToo--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>needsRelationToo</h4>
                                <pre>public&nbsp;boolean&nbsp;needsRelationToo()</pre>
                                <div class="block">Do we need to a relation too, to represent
                                    this hyperlink?
                                </div>
                            </li>
                        </ul>
                        <a name="generateRelationIfNeeded-org.apache.poi.openxml4j.opc.PackagePart-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>generateRelationIfNeeded</h4>
                                <pre>protected&nbsp;void&nbsp;generateRelationIfNeeded(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;sheetPart)</pre>
                                <div class="block">Generates the relation if required</div>
                            </li>
                        </ul>
                        <a name="getType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getType</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html"
                                        title="enum in org.apache.poi.common.usermodel">HyperlinkType</a>&nbsp;getType()</pre>
                                <div class="block">Return the type of this hyperlink</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#getType--">getType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                                                title="interface in org.apache.poi.common.usermodel">Hyperlink</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the type of this hyperlink</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html#forInt-int-"><code>HyperlinkType.forInt(int)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTypeEnum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTypeEnum</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public&nbsp;<a href="../../../../../org/apache/poi/common/usermodel/HyperlinkType.html"
               title="enum in org.apache.poi.common.usermodel">HyperlinkType</a>&nbsp;getTypeEnum()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <code>getType</code> instead</span></div>
                                <div class="block">Return the type of this hyperlink</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#getTypeEnum--">getTypeEnum</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                                                title="interface in org.apache.poi.common.usermodel">Hyperlink</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the type of this hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCellRef--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCellRef</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getCellRef()</pre>
                                <div class="block">Get the reference of the cell this applies to,
                                    es A55
                                </div>
                            </li>
                        </ul>
                        <a name="getAddress--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAddress</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getAddress()</pre>
                                <div class="block">Hyperlink address. Depending on the hyperlink type it can be URL,
                                    e-mail, path to a file.
                                    The is the hyperlink target.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#getAddress--">getAddress</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                                                title="interface in org.apache.poi.common.usermodel">Hyperlink</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the address of this hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLabel--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLabel</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getLabel()</pre>
                                <div class="block">Return text label for this hyperlink</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#getLabel--">getLabel</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                                                title="interface in org.apache.poi.common.usermodel">Hyperlink</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>text to display</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLocation--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLocation</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getLocation()</pre>
                                <div class="block">Location within target. If target is a workbook (or this workbook)
                                    this shall refer to a
                                    sheet and cell or a defined name. Can also be an HTML anchor if target is HTML file.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>location</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLabel-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLabel</h4>
                                <pre>public&nbsp;void&nbsp;setLabel(java.lang.String&nbsp;label)</pre>
                                <div class="block">Sets text label for this hyperlink</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#setLabel-java.lang.String-">setLabel</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                                                title="interface in org.apache.poi.common.usermodel">Hyperlink</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>label</code> - text label for this hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLocation-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLocation</h4>
                                <pre>public&nbsp;void&nbsp;setLocation(java.lang.String&nbsp;location)</pre>
                                <div class="block">Location within target. If target is a workbook (or this workbook)
                                    this shall refer to a
                                    sheet and cell or a defined name. Can also be an HTML anchor if target is HTML file.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>location</code> - - string representing a location of this hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAddress-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAddress</h4>
                                <pre>public&nbsp;void&nbsp;setAddress(java.lang.String&nbsp;address)</pre>
                                <div class="block">Hyperlink address. Depending on the hyperlink type it can be URL,
                                    e-mail, path to a file
                                    This is the hyperlink target.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html#setAddress-java.lang.String-">setAddress</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/Hyperlink.html"
                                                title="interface in org.apache.poi.common.usermodel">Hyperlink</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>address</code> - - the address of this hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCellReference-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCellReference</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setCellReference(java.lang.String&nbsp;ref)</pre>
                                <div class="block">Assigns this hyperlink to the given cell reference</div>
                            </li>
                        </ul>
                        <a name="setCellReference-org.apache.poi.ss.util.CellReference-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCellReference</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;void&nbsp;setCellReference(<a href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                          title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;ref)</pre>
                            </li>
                        </ul>
                        <a name="getFirstColumn--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstColumn</h4>
                                <pre>public&nbsp;int&nbsp;getFirstColumn()</pre>
                                <div class="block">Return the column of the first cell that contains the hyperlink</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the 0-based column of the first cell that contains the hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLastColumn--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastColumn</h4>
                                <pre>public&nbsp;int&nbsp;getLastColumn()</pre>
                                <div class="block">Return the column of the last cell that contains the hyperlink</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the 0-based column of the last cell that contains the hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFirstRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstRow</h4>
                                <pre>public&nbsp;int&nbsp;getFirstRow()</pre>
                                <div class="block">Return the row of the first cell that contains the hyperlink</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the 0-based row of the cell that contains the hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLastRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastRow</h4>
                                <pre>public&nbsp;int&nbsp;getLastRow()</pre>
                                <div class="block">Return the row of the last cell that contains the hyperlink</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the 0-based row of the last cell that contains the hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFirstColumn-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFirstColumn</h4>
                                <pre>public&nbsp;void&nbsp;setFirstColumn(int&nbsp;col)</pre>
                                <div class="block">Set the column of the first cell that contains the hyperlink</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>col</code> - the 0-based column of the first cell that contains the
                                        hyperlink
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLastColumn-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLastColumn</h4>
                                <pre>public&nbsp;void&nbsp;setLastColumn(int&nbsp;col)</pre>
                                <div class="block">Set the column of the last cell that contains the hyperlink.
                                    For XSSF, a Hyperlink may only reference one cell
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>col</code> - the 0-based column of the last cell that contains the
                                        hyperlink
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFirstRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFirstRow</h4>
                                <pre>public&nbsp;void&nbsp;setFirstRow(int&nbsp;row)</pre>
                                <div class="block">Set the row of the first cell that contains the hyperlink</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - the 0-based row of the first cell that contains the hyperlink
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLastRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLastRow</h4>
                                <pre>public&nbsp;void&nbsp;setLastRow(int&nbsp;row)</pre>
                                <div class="block">Set the row of the last cell that contains the hyperlink.
                                    For XSSF, a Hyperlink may only reference one cell
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - the 0-based row of the last cell that contains the hyperlink
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTooltip--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTooltip</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getTooltip()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>additional text to help the user understand more about the hyperlink</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTooltip-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setTooltip</h4>
                                <pre>public&nbsp;void&nbsp;setTooltip(java.lang.String&nbsp;text)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>text</code> - additional text to help the user understand more about the
                                        hyperlink
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFHyperlink.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFHeaderFooterProperties.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFIconMultiStateFormatting.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFHyperlink.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFHyperlink.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
